using Microsoft.EntityFrameworkCore.Migrations;

#nullable disable

namespace Infrastructure.Persistence.Migrations
{
    /// <inheritdoc />
    public partial class AddTemplateFontToAlertConfig : Migration
    {
        /// <inheritdoc />
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.AddColumn<string>(
                name: "TemplateFontColor",
                table: "DonationAlertConfig",
                type: "nvarchar(max)",
                nullable: false,
                defaultValue: "");

            migrationBuilder.AddColumn<string>(
                name: "TemplateFontFamily",
                table: "DonationAlertConfig",
                type: "nvarchar(max)",
                nullable: true);

            migrationBuilder.AddColumn<int>(
                name: "TemplateFontSize",
                table: "DonationAlertConfig",
                type: "int",
                nullable: false,
                defaultValue: 0);
        }

        /// <inheritdoc />
        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropColumn(
                name: "TemplateFontColor",
                table: "DonationAlertConfig");

            migrationBuilder.DropColumn(
                name: "TemplateFontFamily",
                table: "DonationAlertConfig");

            migrationBuilder.DropColumn(
                name: "TemplateFontSize",
                table: "DonationAlertConfig");
        }
    }
}
